## mesa 7.0.3~rc2-1ubuntu3trisquel1

=== debian/changelog ===
mesa (7.0.3~rc2-1ubuntu3trisquel1) trisquel; urgency=low

  * Update debian/copyright to the SGI Free Software License B, version
    2.0.

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Mon, 21 Sep 2009 13:57:11 +0000

mesa (7.0.3~rc2-1ubuntu3) hardy; urgency=low

  * debian/patches/107_fix_-ve_rhw_regression.patch: Fixes regression
    introduced upstream where a -ve rhw workaround is being applied only
    for IGD systems, when it should be applied only for *non*-IGD systems.
    This resulted in rendering issues in 3D games and drawing programs.
    (LP: #199823, #206287)

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 04 Apr 2008 19:46:40 -0700

mesa (7.0.3~rc2-1ubuntu2) hardy; urgency=low

  [ Laurent Bigonville ]
  * debian/patches/105_vblank_fix.patch: Fix "drmWaitVBlank returned -1" error
    (LP: #186764)

  [ Timo Aaltonen ]
  * Add 106_i965_wine_fix.diff from upstream, "Only call
    ProgramStringNotify if program parsing succeeded". (LP: #178292)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed, 12 Mar 2008 12:33:41 +0200

mesa (7.0.3~rc2-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable (LP: #189167), remaining changes:
    - Change maintainer address.
    - Drop lesstif-dev from Build-Depends.
    - Comment out GLw libs from control.
    - Add lpia to -dri and -dri-dbg package in debian/control.
    - Add lpia to ARCH_X86 in configs/debian-dri-default.
    - Add 101_ubuntu_hidden_glname.patch
    - Add 102_ubuntu_no_glw.patch
  * Drop patch 103_fix_rv410se.diff, applied upstream.
  * Add 103_dlopen_in_driveropen.diff and 104_fix_driveropen.diff from
    upstream; "Always call dlopen in DriverOpen". (LP: #189580)
 
 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 26 Feb 2008 13:07:45 +0200

mesa (7.0.3~rc2-1) unstable; urgency=low

  * New upstream release candidate.
    + enable user-defined clip planes for R300 (closes: #408679)
    + 03_optional-progs-and-install.patch: partly applied upstream, fixed up
  * Stop building with -O0 on hppa. Bug #451047 should be fixed in recent gcc
    versions.

 -- Julien Cristau <jcristau@debian.org>  Sun, 24 Feb 2008 10:22:54 +0100

mesa (7.0.2-4ubuntu2) hardy; urgency=low

  * 103_fix_rv410se.diff:
    - patch from upstream; "Fix rendering on x700 SE chips."
      (LP: #151974)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed, 30 Jan 2008 13:18:23 +0200

mesa (7.0.2-4ubuntu1) hardy; urgency=low

  * Merge from debian unstable (LP: #151974), remaining changes:
    - Change maintainer address.
    - Drop lesstif-dev from Build-Depends.
    - Comment out GLw libs from control.
    - Add lpia to -dri and -dri-dbg package in debian/control.
    - Add lpia to ARCH_X86 in configs/debian-dri-default.
    - Add 101_ubuntu_hidden_glname.patch
    - Add 102_ubuntu_no_glw.patch

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 29 Jan 2008 12:09:30 +0200

mesa (7.0.2-4) unstable; urgency=low

  * Update to mesa_7_0_branch head (commit 48ae5cf0).
  * Add Vcs-Git, Vcs-Browser and Homepage fields in debian/control.

 -- Julien Cristau <jcristau@debian.org>  Thu, 17 Jan 2008 22:23:06 +0100

mesa (7.0.2-3ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Change maintainer address.
    - Drop lesstif-dev from Build-Depends.
    - Comment out GLw libs from control.
    - Add lpia to -dri and -dri-dbg package in debian/control.
    - Add lpia to ARCH_X86 in configs/debian-dri-default.
    - Add 101_ubuntu_hidden_glname.patch
    - Add 102_ubuntu_no_glw.patch
  * debian/control: Do not build-depend on gcc-3.4 anymore.
  * Drop 110_ubuntu_use_gcc-3.4_for_i965.patch

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Sat, 05 Jan 2008 00:45:31 +0200

mesa (7.0.2-3) unstable; urgency=low

  * Update to mesa_7_0_branch head (commit 0107acde).
  * Bump Standards-Version to 3.7.3.
  * Move libgl1-mesa-swx11-dbg, mesa-common-dev and libosmesa6-dev to section
    libdevel.
  * libgl1-mesa-swx11 conflicts with libgl1-mesa-glx.  Move it and
    libgl1-mesa-swx11-dev to priority extra.
  * Fix typo in mesa-common-dev's long description.

 -- Julien Cristau <jcristau@debian.org>  Tue, 18 Dec 2007 19:13:18 +0100

mesa (7.0.2-2ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Change maintainer address.
    - Add gcc-3.4 as a build dependency for amd64, i386 and lpia.
    - Drop lesstif-dev from Build-Depends.
    - Comment out GLw libs from control.
    - Add lpia to -dri and -dri-dbg package in debian/control.
    - Add lpia to ARCH_X86 in configs/debian-dri-default.
    - Add 101_ubuntu_hidden_glname.patch
    - Add 102_ubuntu_no_glw.patch
    - Add 110_ubuntu_use_gcc-3.4_for_i965.patch
  
 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri, 16 Nov 2007 09:00:24 +0200

mesa (7.0.2-2) unstable; urgency=low

  [ Julien Cristau ]
  * Don't set -fno-strict-aliasing in configs/debian-default.  It is set
    upstream now.
  * Workaround gcc ICE on hppa: build libOSMesa with -O0 (see bug#451047).
  * Add build-dep on libxext-dev.  Thanks, Timo Aaltonen!

 -- Brice Goglin <bgoglin@debian.org>  Tue, 13 Nov 2007 21:43:40 +0100

mesa (7.0.2-1ubuntu2) hardy; urgency=low

  * Add libxext-dev to Build-Depends.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Mon, 12 Nov 2007 14:50:38 +0200

mesa (7.0.2-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Change maintainer address.
    - Add gcc-3.4 as a build dependency for amd64, i386 and lpia.
    - Drop lesstif-dev from Build-Depends.
    - Comment out GLw libs from control.
    - Add lpia to -dri and -dri-dbg package in debian/control.
    - Add lpia to ARCH_X86 in configs/debian-dri-default.
    - Add 101_ubuntu_hidden_glname.patch
    - Add 102_ubuntu_no_glw.patch
    - Add 110_ubuntu_use_gcc-3.4_for_i965.patch
  
 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Mon, 12 Nov 2007 12:55:33 +0200

mesa (7.0.2-1) unstable; urgency=low

  * New upstream release.
    + Fix Blender crash in triangle_twoside(), closes: #439668, #446315.

